[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegionWithChilds.Destroy

Destructor for the class instance.

## Declaration

Source position: lazregions.pas line 103

`public destructor TLazRegionWithChilds.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that resources allocated to the Childs member are freed. Destroy calls the inherited destructor prior to exiting from the method.